USE SSISDB
GO

-- Create the execution object. This sets up the @execution_id value
--	which will be used to set runtime param values, and finally to
--	execute the package
DECLARE @execution_id BIGINT
EXEC [catalog].[create_execution] @package_name=N'01 Intro.dtsx', @execution_id=@execution_id OUTPUT, @folder_name=N'Intro SSIS', @project_name=N'Intro SSIS Catalog', @use32bitruntime=False, @reference_id=1


-- Set user parameters
DECLARE @clientID INT = 221
	, @connStr NVARCHAR(200) = N'c:\file.txt'
	, @secure NVARCHAR(50) = N'This is a secure param'
EXEC [catalog].[set_execution_parameter_value] @execution_id,  @object_type=20, @parameter_name=N'pClientID', @parameter_value=@clientID
EXEC [catalog].[set_execution_parameter_value] @execution_id,  @object_type=20, @parameter_name=N'pConnectionString', @parameter_value=@connStr
EXEC [catalog].[set_execution_parameter_value] @execution_id,  @object_type=20, @parameter_name=N'pSecure', @parameter_value = @secure


-- Set system parameters
DECLARE @loglevel INT = 3		-- Verbose logging
	, @sync INT = 1				-- Run in synchronized mode
EXEC [catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'LOGGING_LEVEL', @parameter_value=@loglevel
EXEC [catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'SYNCHRONIZED', @parameter_value=@sync


-- Finally, execute the package
EXEC [catalog].[start_execution] @execution_id
GO


