USE SSISDB
GO

-- Get the ID of the most recent execution
DECLARE @execution_id INT = (SELECT MAX(execution_id) 
							 FROM catalog.executions 
							 WHERE status IN (7, 4))


-- Show execution phases per data flow component
SELECT *
FROM catalog.execution_component_phases
WHERE execution_id = @execution_id


-- Show row counts in data flows. Note that each
--	buffer of data is logged separately.
SELECT *
FROM catalog.execution_data_statistics
WHERE execution_id = @execution_id



-- Show total rows per pipeline by grouping by source, dest.
SELECT task_name, source_component_name, destination_component_name, SUM(rows_sent) [rows_sent]
FROM catalog.execution_data_statistics
WHERE execution_id = @execution_id
GROUP BY task_name, source_component_name, destination_component_name
